Subject: [PATCH 0/3] Add Optuna.

From: Vinicius Monego <[email-masked]>
Date: Sat, 2 Oct 2021 03:39:16 +0000

This patchset adds the Optuna hyperparameter optimization framework.

Optuna requires a number of ML frameworks for the whole test suite. I deleted some test files and added comments on missing packages.

I packaged Skorch in the series but it's an optional dependency that is only used in the integration tests, which are completely disabled. The latest version of scikit-optimize (0.8.1), another optional dependency, is incompatible with the scikit-learn version in Guix (0.24.x). I am waiting for the next release to package it. The other dependencies are trickier.

The executable in bin/ throws an error coming from pygobject, which I couldn't update. While there is a CLI, Optuna is mainly used as a library, that is why I prefix it with python-.

Vinicius Monego (3):
  gnu: Add python-cma.
  gnu: Add python-skorch.
  gnu: Add python-optuna.

 gnu/packages/machine-learning.scm | 166 ++++++++++++++++++++++++++++++
 1 file changed, 167 insertions(+)

-- 
2.30.2